Bug 124571 - ld.so fails when entering a chroot to another partition (with linux)
ld.so fails when entering a chroot to another partition (with linux)
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: glibc (Show other bugs)
2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-27 12:12 EDT by Spider
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-08 06:28:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Spider 2004-05-27 12:12:05 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040424 Epiphany/1.2.5

Description of problem:
chroot /other /bin/sh

Inconsistency detected by ld.so: rtld.c: 1173: dl_main: Assertion
`(void *) ph->p_vaddr == _rtld_local._dl_sysinfo_dso' failed!

[root@Synth root]# chroot /other/ /bin/sash
Stand-alone shell (version 3.6)
$ ls
Inconsistency detected by ld.so: rtld.c: 1173: dl_main: Assertion
`(void *) ph->p_vaddr == _rtld_local._dl_sysinfo_dso' failed!


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. install fedora core 2 on a new partition
2. accidentaly wipe the other distributions /boot
3. attempt to fix from inside fedora with chroot to enter a build system
    

Actual Results:  Inconsistency detected by ld.so: rtld.c: 1173:
dl_main: Assertion `(void *) ph->p_vaddr ==
_rtld_local._dl_sysinfo_dso' failed!


Expected Results:  a working dynamic environment

Additional info:
Comment 1 Jakub Jelinek 2004-06-08 06:28:34 EDT
This is a glibc bug in the other distribution.
You can boot the kernel with vdso=0 command line argument to work around it,
then upgrade glibc there to one that handles randomized vDSOs or
doesn't ever use vDSOs.

Note You need to log in before you can comment on or make changes to this bug.